package org.apache.bcel.util;

import java.util.HashMap;
import java.util.Map;

public class SyntheticRepository extends MemorySensitiveClassPathRepository {
   private static final Map<ClassPath, SyntheticRepository> MAP = new HashMap();

   public static SyntheticRepository getInstance() {
      return getInstance(ClassPath.SYSTEM_CLASS_PATH);
   }

   public static SyntheticRepository getInstance(ClassPath classPath) {
      return (SyntheticRepository)MAP.computeIfAbsent(classPath, SyntheticRepository::new);
   }

   private SyntheticRepository(ClassPath path) {
      super(path);
   }
}
